require_relative 'lib/careful_import/version'

Gem::Specification.new do |spec|
  spec.name          = "careful-import"
  spec.version       = CarefulImport::Version::VERSION
  spec.authors       = ["Clive Ivins"]
  spec.email         = ["civins@itglue.com"]

  spec.summary       = %q{Validates and updates args prior to activerecord-import#import}
  spec.description   = %q{If a primary_key value is passed in when importing using activerecord-import#import an error is raised}
  spec.homepage      = "https://bitbucket.org/itglue/careful-import/src/master/"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.2.8")

  spec.metadata["homepage_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.add_dependency 'activerecord-import', '~> 0'
end
